html { font-size: 14px; }

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
    body {
        background-size: 100% auto;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {position: relative; min-height: 100%;}
body {margin-bottom: 60px;}


:root {
    --beige: #fcfbf7;
    --orange: #CC5500;
    --pink: #bd5f7a;
}

body {
    background-image: url('/images/uitnodiging-bloemen.png');
    background-repeat: no-repeat;
    background-size: 160% auto;
    background-attachment: fixed;
    background-position: center;
    
}

.btn-custom-orange {
    background-color: var(--orange) !important;
    border-color: var(--orange) !important;
}

.container {
    width: 80%;
}

h1, h2, h3 {
    color: var(--pink);
}



.logout-btn {
    display: block;
    float: right;
}

.hover-pointer:hover {
    cursor: pointer
}

.uploaded-images {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 15px;
    margin-top: 20px;
}

.single-image {
    width: 100%;
    aspect-ratio: 1 / 1;
    overflow: hidden;
    position: relative;
}

.single-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transition: transform 0.3s ease;
    cursor: pointer;
}

.single-image img:hover {
    transform: scale(1.05);
}

@media (max-width: 768px) {
    .uploaded-images {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 768px) {
    body {
        background-size: 100% auto;
    }
}



.upload-spinner {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    top: 0;
    left: 0;
    text-align: center;
    z-index: 999;
}

.spinner-content {
    margin-top: calc(40vh);
}

.spinner-content p {
    margin-top: 1em;
    color: white;
    font-weight: bold;
}

.loader {
    width: 5em;
    height: 5em;
    border: 5px solid #FFF;
    border-bottom-color: var(--orange);
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
    margin-bottom: 1em;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
} 